body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont;
  background: #f4f6f9;
}

.header {
  background: linear-gradient(90deg,#27ae60,#2ecc71);
  color: #fff;
  text-align: center;
  padding: 16px;
  font-size: 18px;
}

.container {
  padding: 10px 10px;
  /* padding-bottom: 80px; */
}

.card {
  background: #fff;
  border-radius: 12px;
  padding: 15px;
  margin-bottom: 15px;
  box-shadow: 0 4px 10px rgba(0,0,0,0.05);
}

.card img {
    height: 98px;
  width: 98px;
  border-radius: 10px;
}

.flex {
  display: flex;
  gap: 15px;
  align-items: center;
}

.title {
  font-size: 16px;
  font-weight: bold;
}

.gray {
  color: #888;
  font-size: 16px;
}

.green { color: #27ae60; }
.red { color: #e74c3c; }

.primary-btn {
  width: 180px;
  padding: 12px;
  border: none;
  background: #2dc86f;
  color: #fff;
  border-radius: 8px;
  font-size: 16px;
}

.unfavorite-btn{
  height: 30px;
  line-height: 30px;
  border: none;
  background: #2dc86f;
  color: #fff;
  border-radius: 8px;
}
.nav {
  position: fixed;
  bottom: 0;
  width: 100%;
  display: flex;
  background: #fff;
  border-top: 1px solid #eee;
}

.nav a {
  flex: 1;
  text-align: center;
  padding: 12px 0;
  text-decoration: none;
  color: #666;
}

.nav a.active {
  color: #27ae60;
  font-weight: bold;
}

.modal {
  position: fixed;
  top:0;left:0;
  width:100%;height:100%;
  background:rgba(0,0,0,.4);
  display:flex;
  align-items:center;
  justify-content:center;
  visibility:hidden;
}

.modal-content {
  background:#fff;
  padding:20px 40px;
  border-radius:10px;
}

.show { visibility:visible; }

canvas {
  width:100%;
  height:200px;
}
/* Banner */
.banner {
  width: 100%;
  height: 228px;
  overflow: hidden;
  position: relative;
}

.banner-wrapper {
  
  width: 100%;
  height: 100%;
}

.banner img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* 搜索框 */
.search-box {
  padding: 10px 15px;
  background: #fff;
}

.search-box input {
  width: 95%;
  padding: 10px;
  border-radius: 20px;
  border: 1px solid #ddd;
  outline: none;
  font-size: 14px;
}

.empty {
  text-align: center;
  color: #999;
  padding: 40px 0;
}
.bottom-bar{
    text-align: center;
    margin-bottom: 88px;
}